# BOSS

## Installing Dependencies
Run `conda env create -f environment.yml`.

## New bounding box annotations
We re-extracted bounding box annotations using Yolo-v8. The new data is in `new_bbox/`. The rest of the data can be found [here](https://drive.google.com/drive/folders/1b8FdpyoWx9gUps-BX6qbE9Kea3C2Uyua).

## Train
`source run_train.sh`.

## Test
`source run_test.sh` (specify the path to the model).

## Resources
The original project page for the BOSS dataset can be found [here](https://sites.google.com/view/bossbelief/). Our code is based on the original implementation.